Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 525831 (vim-perl-tt2) - Review Request: vim-perl-tt2 - Syntax highlighting for the Template-Toolkit
Summary: Review Request: vim-perl-tt2 - Syntax highlighting for the Template-Toolkit
Keywords:
Status: CLOSED NEXTRELEASE
Alias: vim-perl-tt2
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL: http://www.vim.org/scripts/script.php...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-26 04:15 UTC by Chris Weyl
Modified: 2009-10-08 15:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-08 15:54:29 UTC
Type: ---
emmanuel: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2009-09-26 04:15:38 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/vim-perl-tt2.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/vim-perl-tt2-0.1.3-1.fc11.src.rpm

Description:
vim-perl-tt2 enables syntax highlighting for the Perl Template-Toolkit, v2.

* Contain Perl code in PERL/RAWPERL directive. (runtime sytax/perl.vim)
* No folding
* HTML syntax for including TT2 syntax. ( tt2html.vim / unfinished )
* Configurable START_TAG/END_TAG for your style.

*rt-0.10_01

Comment 1 Chris Weyl 2009-09-26 04:16:44 UTC
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1708598

Comment 2 Susi Lehtola 2009-09-28 21:07:27 UTC
You need Requires: vim-common for dir ownership.

Comment 3 Chris Weyl 2009-09-29 04:08:19 UTC
We were requiring vim-perl-support (which in turn requires vim-common), but on second thought that seemed a bit.... heavy.  I've replace the vim-perl-support req with vim-common.

Spec URL: http://fedorapeople.org/~cweyl/review/vim-perl-tt2.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/vim-perl-tt2-0.1.3-2.fc11.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1714911

Comment 4 Emmanuel Seyman 2009-10-04 11:16:04 UTC
(In reply to comment #3)
>
> Spec URL: http://fedorapeople.org/~cweyl/review/vim-perl-tt2.spec

This still contains the vim-perl-support req.

> SRPM URL:
> http://fedorapeople.org/~cweyl/review/vim-perl-tt2-0.1.3-2.fc11.src.rpm

404

Comment 5 Chris Weyl 2009-10-04 16:50:09 UTC
Huh, weird.  They're both out there now, in any case.

Comment 6 Emmanuel Seyman 2009-10-05 20:59:14 UTC
Let's see what this is about.

Comment 7 Emmanuel Seyman 2009-10-05 23:04:52 UTC
Review:
+ package builds in mock (dist-f13 i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1729479
+ rpmlint issues a warning for the RPMS, is silent for the SRPM
vim-perl-tt2.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
+ source files match upstream url
3e70d82171456550855a8b9612226c11  tt2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is not included in package.
+ %doc is not present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does not create any directories.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

Looks good to me (shame about the lack of documentation, though).
APPROVED.

Comment 8 Chris Weyl 2009-10-06 04:27:01 UTC
New Package CVS Request
=======================
Package Name: vim-perl-tt2
Short Description: Syntax highlighting for the Template-Toolkit
Owners: cweyl
Branches: F-10 F-11 F-12 devel
InitialCC:

Comment 9 Kevin Fenzi 2009-10-08 06:00:24 UTC
cvs done.

Comment 10 Chris Weyl 2009-10-08 15:54:29 UTC
Thanks for the review! :-)


Note You need to log in before you can comment on or make changes to this bug.